# CancelAppointment - Cancels appointment moves or an entire visit

Cancels either individual moves or the entire appointment (visit) depending on the provided input.
Supports two ways of identifying what should be canceled:

- gateApptIdList: Cancel specific moves by Gate Appointment ID.
- truckVisitIdList: Cancel the entire visit by Truck Visit ID.
Each entry requires an Id and either MTO_Id or MTO_Cd to identify the terminal.

Endpoint: POST /api/appointment/cancelappointment
Version: 1.0

## Header parameters:

  - `X-Cargosprint-Api-Key` (string, required)
    The company API key provided by Cargosprint.

  - `X-Cargosprint-User-Key` (string, required)
    The API key of the user to be impersonated.

## Request fields (application/json):

  - `gateApptIdList` (array,null)

  - `gateApptIdList.id` (integer)

  - `gateApptIdList.mtO_Id` (integer)

  - `gateApptIdList.mtO_Cd` (string,null)

  - `truckVisitIdList` (array,null)

## Response 200 fields (application/json):

  - `today` (array,null)

  - `today.startTime` (string,null)

  - `today.endTime` (string,null)

  - `today.color` (string,null)

  - `tomorrow` (array,null)

## Response 400 fields (application/json):

  - `type` (string,null)

  - `title` (string,null)

  - `status` (integer,null)

  - `detail` (string,null)

  - `instance` (string,null)


## Response 500 fields
